Package org.springframework.security.config.annotation.web.configurers

# Class AbstractInterceptUrlConfigurer<C extends AbstractInterceptUrlConfigurer<C,H>,H extends HttpSecurityBuilder<H>>

java.lang.Object
org.springframework.security.config.annotation.SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,B>
org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer<C,H>
org.springframework.security.config.annotation.web.configurers.AbstractInterceptUrlConfigurer<C,H>

Type Parameters:
  `C` - the AbstractInterceptUrlConfigurer
  `H` - the type of `HttpSecurityBuilder` that is being configured

All Implemented Interfaces:
  `SecurityConfigurer<org.springframework.security.web.DefaultSecurityFilterChain,H>`

Direct Known Subclasses:
  `ExpressionUrlAuthorizationConfigurer`, `UrlAuthorizationConfigurer`

@Deprecated public abstract class AbstractInterceptUrlConfigurer<C extends AbstractInterceptUrlConfigurer<C,H>,H extends HttpSecurityBuilder<H>> extends AbstractHttpConfigurer<C,H>
Deprecated.
Use `AuthorizeHttpRequestsConfigurer` instead
A base class for configuring the `FilterSecurityInterceptor`.

## Security Filters

The following Filters are populated

- `FilterSecurityInterceptor`

## Shared Objects Created

The following shared objects are populated to allow other `SecurityConfigurer`'s to customize:

- `FilterSecurityInterceptor`

## Shared Objects Used

The following shared objects are used:

- `AuthenticationManager`

Since:
  3.2
See Also:
  - `ExpressionUrlAuthorizationConfigurer`
  - `UrlAuthorizationConfigurer`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`class`
`AbstractInterceptUrlConfigurer.AbstractInterceptUrlRegistry<R extends AbstractInterceptUrlConfigurer<C,H>.AbstractInterceptUrlRegistry<R,T>,T>`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`configure(H http)`
Deprecated.
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.

### Methods inherited from class org.springframework.security.config.annotation.web.configurers.AbstractHttpConfigurer

`disable, getSecurityContextHolderStrategy, withObjectPostProcessor, withObjectPostProcessor`

### Methods inherited from class org.springframework.security.config.annotation.SecurityConfigurerAdapter

`addObjectPostProcessor, addObjectPostProcessor, and, getBuilder, init, postProcess, setBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### configure

public void configure(H http) throws Exception
Deprecated.
Description copied from interface: `SecurityConfigurer`
Configure the `SecurityBuilder` by setting the necessary properties on the `SecurityBuilder`.

Specified by:
  `configure` in interface `SecurityConfigurer<C extends AbstractInterceptUrlConfigurer<C,H>,H extends HttpSecurityBuilder<H>>`
Overrides:
  `configure` in class `SecurityConfigurerAdapter<org.springframework.security.web.DefaultSecurityFilterChain,H extends HttpSecurityBuilder<H>>`
Throws:
  `Exception`